# GET /v4/users/{address}/rewards

_Merkl API_

Get the rewards associated to a user on a given chain.

#### Request Examples

##### Fetch rewards for a user wallet on a specific chain
```bash
curl "https://api.merkl.xyz/v4/users/0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb/rewards?chainId=1"
```

Use the returned proofs to build a claim transaction [integrating-user-reward](https://docs.merkl.xyz/integrate-merkl/app#integrating-user-reward)

Retrieve user rewards aggregated by chain. Use query parameters to filter by chain IDs, reward type, and claimability.

### Path parameters

- `address` (string) _(required)_

### Query parameters

- `chainId` (array) _(required)_
- `reloadChainId` (string | number)
- `test` (boolean)
- `claimableOnly` (boolean)
- `breakdownPage` (string | number)
- `type` (string | string | string)
- `showPrivate` (boolean)

## Responses

- **200** Response for status 200

## Example request

```bash
curl -X GET "https://api.merkl.xyz//v4/users/{address}/rewards?chainId=<chainId>" \
  -H "x-api-key: YOUR_API_KEY"
```